Subject: Re: [EN] NNCP 8.1.0 release announcement

From: Sergey Matveev <[email-masked]>
Date: Mon, 17 Jan 2022 18:08:22 +0300

*** John Goerzen [2022-01-17 08:55]:
>TCP would be really convenient!  It would also enable cooperation
>between NNCP nodes that use the new integrated Yggdrasil code, and NNCP
>nodes that have a standalone Yggdrasil node and simply listen on a port
>that's available over Yggdrasil (as I already have been doing here).

No, TCP transport over Yggdrasil packet interface is not related or
interfere with ordinary TCP in anyway :-). But I see completely no
problems for nncp-daemon to listen on both "interfaces" (on Yggdrasil
and ordinary TCP), so will add that possibility too.

>If a change to TCP is imminent

I will definitely add ability to listen simultaneously on TCP as
previously and optionally on Yggdrasil. But I do not know if will
succeed in replacing μTP with TCP -- but anyway it is completely
hidden from the user.

Thanks for all your notes and suggestions!

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF